Documentation · API reference
POST/api/v1/channels/{id}/test

Send a test message to one channel, now, and say how it went

Send a test message to one channel, now, and say how it went.

The answer

Status 200

TestResult How "Test" on a channel went (NC-08).

error
string or null
sent
booleanneeded

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/channels/{id}/test \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/channels/{id}/test", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());